
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>跟屌丝一起学习 DB2 第五课 存储过程(一) / iVAN</title>

    <meta name="description" content="跟屌丝一起学习 DB2 第五课 存储过程(一) DB2 存储过程 一.什么是存储过程 受 DB2 服务器控制的一段可执行程序 可以通过SQL的CALL语句来完成对存储过程的调用 在存储过程中可以包含业务逻辑 存储过程可以在本地或远程进行调用 存储过程可以接收或传递参数,生成结果集 二.存储过程特征 包含使用sql语句的过程构造 存储在数据库中且在db2 服务器上运行: 可以由正在使用的sql的应用程序根据名称来调用: 允许应用程序分2部分允许,在客户机上运行应用程序,在服务器上运行存储过程 存储过程在应用程序中的优势 减少了客户机与服务器直接">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">跟屌丝一起学习 DB2 第五课 存储过程(一)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h1>DB2 存储过程</h1>
<h2>一、什么是存储过程</h2>
<p>受 DB2 服务器控制的一段可执行程序</p>
<p>可以通过SQL的CALL语句来完成对存储过程的调用</p>
<p>在存储过程中可以包含业务逻辑</p>
<p>存储过程可以在本地或远程进行调用</p>
<p>存储过程可以接收或传递参数，生成结果集</p>
<h2>二、存储过程特征</h2>
<p>包含使用sql语句的过程构造</p>
<p>存储在数据库中且在db2 服务器上运行；</p>
<p>可以由正在使用的sql的应用程序根据名称来调用；</p>
<p>允许应用程序分2部分允许，在客户机上运行应用程序，在服务器上运行存储过程</p>
<p>存储过程在应用程序中的优势</p>
<p>减少了客户机与服务器直接的网络使用率</p>
<p>增强了硬件和软件功能</p>
<p>提高了安全性</p>
<p>减少了开发成本并且提高了可靠性</p>
<p>集中处理了公共例程的安全性、管理和维护</p>
<p>通过sql pl 当前的语句集合和语言特性，可以用sql开发综合的、高级的程序</p>
<p>例如函数、存储过程和触发器。这样便可以将业务逻辑封装到易于维护的数据库对象中，从而提高数据库应用程序的性能。</p>
<p>SQL PL 支持本地和全局变量，包括声明和赋值，还支持条件语句和迭代语句、控制语句的转移、错误管理语句以及返回结果集的方法。</p>
<h2>三、什么时候使用存储过程</h2>
<p>使用存储过程的合适时机:</p>
<p>应用程序的性能无法满足预期时</p>
<p>客户端数量较多且应用程序中SQL代码分散时</p>
<p>应用程序需要进行繁重的数据库操作，同时这些操作并不需要进行太多的客户交互</p>
<p>应用程序代码更改频繁</p>
<p>需要对客户应用代码进行访问控制时</p>
<p>客户应用需要在一次操作中执行多条 SQL 语句</p>
<h2><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmJsb2dqYXZhLm5ldC9pbWFnZXMvYmxvZ2phdmFfbmV0L3FpbGVpbG92ZS9kYjJoZ2poLnBuZw==.jpg"></h2>
<h2>五、数据类型</h2>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmJsb2dqYXZhLm5ldC9pbWFnZXMvYmxvZ2phdmFfbmV0L3FpbGVpbG92ZS8lRTYlOTUlQjAlRTYlOEQlQUUlRTclQjElQkIlRTUlOUUlOEIucG5n.jpg"></p>
<p>字符型：char varchar</p>
<p>日期型 date</p>
<p>数字型 number decilmal integer</p>
<p>详细请看屌丝大哥 db2数据类型介绍的那一课</p>
<h2>六、Db2 存储过程基本语法</h2>
<h3>6.1 存储过程结构</h3>
<p>CREATE OR REPLACE PROCEDURE &lt;过程名&gt;</p>
<p>( [ IN | OUT | INOUT ]  参数名  数据类型  默认值 )</p>
<p>LANGUAGE  SQL</p>
<p>BEGIN</p>
<p>      业务逻辑代码</p>
<p>END;</p>
<p>IN（输入参数）</p>
<p>只是将实参传递给存储过程，但在存储过程中不能对其进行修改。换句话说，对于存储过程而言它是只读的。</p>
<p>OUT（输出参数）</p>
<p>在存储过程结束时向调用者返回。一般在过程中都会被赋值。</p>
<p>INOUT（输入输出参数）</p>
<p>上述两种参数类型的结合体。它可以帮助调用者将实参传递给进程，另外它也能够作为输出参数被修改和赋值。</p>
<p>复合语句实例</p>
<p>复合语句是指包含在BEGIN和END间的语句。它一般包括如下语句类型：</p>
<p>声明语句</p>
<p>赋值语句</p>
<p>控制语句</p>
<p>条件处理语句</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmJsb2dqYXZhLm5ldC9pbWFnZXMvYmxvZ2phdmFfbmV0L3FpbGVpbG92ZS8lRTUlQTQlOEQlRTUlOTAlODglRTglQUYlQUQlRTUlOEYlQTUucG5n.jpg"></p>
<p>说明：</p>
<p>1. 复合语句可以嵌套使用。</p>
<p>2. BEGIN语句可以和标签组合使用，这样可以更清晰的标识语句块的范围。</p>
<h3>6.2 变量声明与变量赋值</h3>
<p>变量声明语法：</p>
<p>DECLARE 变量名  数据类型 初始值；</p>
<p>Delcare DiaoSiName varchar（20）；</p>
<p>变量赋值语法 ：set 变量名=值；</p>
<p>例如：给屌丝姓名变量赋值。</p>
<p>Set DiaoSiName = ‘奶娃’;</p>
<p>变量声明</p>
<p>DECLARE  my_var  INTEGER  DEFAULT  6;</p>
<p>条件声明</p>
<p>DECLARE  not_found  CONDITION  FOR  SQLSTATE  ‘02000’;</p>
<p>游标声明</p>
<p>DECLARE  c1  CURSOR  FOR  select  *  from  staff;</p>
<p>异常处理器声明</p>
<p>DECLARE  EXIT  HANDLER  FOR  SQLEXCEPTION  …;</p>
<p>语法</p>
<p>SET  lv_name  =  expression;</p>
<p>SET  lv_name  =  NULL;</p>
<p>示例</p>
<p>(1) SET  salary  =  salary  +  salary  *  0.1;</p>
<p>(2) SET  init_salary  =  NULL;</p>
<p>(3) SET  salary  =  (select  salary  from  employee  where empno  =  lv_emp_num);</p>
<p>注: 如果 SELECT 语句返回记录超过一行，示例 3 将会返回SQLERROR。<br /><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmJsb2dqYXZhLm5ldC9pbWFnZXMvYmxvZ2phdmFfbmV0L3FpbGVpbG92ZS8lRTQlQkUlOEIlRTUlQUQlOTAxLnBuZw==.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmJsb2dqYXZhLm5ldC9pbWFnZXMvYmxvZ2phdmFfbmV0L3FpbGVpbG92ZS8lRTUlODglOTclRTUlQUQlOTAyLnBuZw==.jpg"></p>
<p>模块 - 规格说明(Module Specification)</p>
<p>模块可以发布type, SP, UDF以供外部使用。</p>
<p>CREATE  OR  REPLACE  MODULE  myMod;</p>
<p>ALTER  MODULE  myMod  PUBLISH</p>
<p>            TYPE  myRowTyp  AS  ANCHOR  ROW  myTab;</p>
<p>ALTER  MODULE  myMod  PUBLISH</p>
<p>            FUNCTION  myFunc(val1  ANCHOR  myTab.col1)</p>
<p>                RETURNS myRowTyp;</p>
<p>ALTER  MODULE  myMod  PUBLISH</p>
<p>            PROCEDURE  myProc(OUT  param1  ANCHOR  myTab.col2);</p>
<p>模块 - 实现(Module Implementation)</p>
<p>下面的代码是模块的实现部分：</p>
<p>ALTER  MODULE  myMod  ADD  VARIABLE  pkgVar  ANCHOR  myTab.col1;</p>
<p>ALTER  MODULE  myMod  ADD  FUNCTION  	myFunc(val1  ANCHOR  myTab.col1)  RETURNS  myRowTyp</p>
<p>BEGIN</p>
<p>    DECLARE  var1  myRowTyp;</p>
<p>    SELECT  *  INTO  var1  FROM  myTab  WHERE  col1  &lt;  val1  AND  col1  &gt;  pkgVar;</p>
<p>RETURN  var1;</p>
<p>END</p>
<p>ALTER  MODULE  myMod  ADD  PROCEDURE  myProc(OUT  param1  ANCHOR  myTab.col2)</p>
<p>BEGIN</p>
<p>    DECLARE  varRow  myRowTyp;</p>
<p>SET  param1  =  varRow.col2  –  pkgVar;</p>
<p>END</p>
<p>模块 - 其他语句</p>
<p>删除整个模块</p>
<p>DROP  MODULE  myMod;</p>
<p>保留规格说明内容，删除实现</p>
<p>ALTER  MODULE  myMod  DROP  BODY;</p>
<p>删除模块中的存储过程(SP)</p>
<p>ALTER MODULE myMod DROP PROCEDURE myProc;</p>
<p>将模块的执行权限赋给joe</p>
<p>GRANT EXECUTE ON MODULE myMod TO joe;</p>
<p><strong><br /></strong></p>
<p><strong>七、控制语句<br /></strong><br />
<br />IF语句</p>
<p>格式：</p>
<p>IF  条件1   THEN  statement1;</p>
<p>ELSEIF  条件2  THEN  statement2;</p>
<p>ELSE  statement3;</p>
<p>   END  IF;</p>
<p>注:条件成立时为TRUE (真),不成立时为FALSE(假) 和 NULL</p>
<p>IF语句例子</p>
<p>IF  rating  =  1  THEN</p>
<p>UPDATE  EMPLOYEE  SET  salary  =  salary*1.10</p>
<p>     WHERE  empno  =  i_num;（如果满足于...时，薪水调整1.1倍）</p>
<p>ELSEIF  rating  =  2  THEN</p>
<p>UPDATE  EMPLOYEE  SET  salary  =  salary*1.05</p>
<p>     WHERE  empno  =  i_num;</p>
<p>ELSE</p>
<p>UPDATE  EMPLOYEE  SET  salary  =  salary*1.03</p>
<p>     WHERE  empno  =  i_num;</p>
<p>END  IF;</p>
<p>CASE语句（1 of 2）</p>
<p>简单CASE语句</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmJsb2dqYXZhLm5ldC9pbWFnZXMvYmxvZ2phdmFfbmV0L3FpbGVpbG92ZS9jYXNlMS5wbmc=.jpg"></p>
<p>稍加变形的CASE语句</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvd3d3LmJsb2dqYXZhLm5ldC9pbWFnZXMvYmxvZ2phdmFfbmV0L3FpbGVpbG92ZS9jYXNlMi5wbmc=.jpg"></p>
<p>LOOP语句</p>
<p>语法</p>
<p>[LABEL]  LOOP</p>
<p>    SQL-procedure-statements;</p>
<p>    END  LOOP  [LABEL];</p>
<p>示例</p>
<p>fetch_loop:  LOOP</p>
<p>FETCH  c1  INTO  v_firstname,  v_lastname;</p>
<p>     SET  counter  =  counter  +  1;</p>
<p>     IF  counter  =  51  THEN</p>
<p>          LEAVE  fetch_loop;</p>
<p>     END  IF;</p>
<p>END  LOOP  fetch_loop;</p>
<p>FOR语句</p>
<p>语法</p>
<p>[LABEL]  FOR  for-loop-name  AS  [cursor-name  CURSOR  FOR]</p>
<p>      select-statement  </p>
<p>DO</p>
<p>      SQL-procedure-statements;</p>
<p>    END  FOR  [LABEL];</p>
<p>示例</p>
<p>DECLARE  fullname  CHAR(40);</p>
<p>FOR  v1  AS  c1  CURSOR  FOR  SELECT  firstnme,  midinit,  lastname  FROM  employee</p>
<p>DO</p>
<p>             SET  fullname=lastname||‘,’||firstnme||’,’||midinit;</p>
<p>    INSERT  INTO  tname  VALUE  (fullname);</p>
<p>END  FOR;</p>
<p>====================================分割线================================</p>
<p>最新内容请见作者的GitHub页：http://qaseven.github.io/</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-17 11:47:38</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e5%ba%93/" title="数据库">数据库</a>, <a href="https://www.iamivan.net/tag/%e5%ad%98%e5%82%a8%e8%bf%87%e7%a8%8b/" title="存储过程">存储过程</a>, <a href="https://www.iamivan.net/tag/sql/" title="sql">sql</a>, <a href="https://www.iamivan.net/tag/%e6%a8%a1%e5%9d%97/" title="模块">模块</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/%e6%95%b0%e6%8d%ae%e7%b1%bb%e5%9e%8b/" title="数据类型">数据类型</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>跟屌丝一起学习 DB2 第五课 存储过程(一)的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLgV4RM.html" rel="bookmark">跟屌丝一起学习 DB2 第五课 存储过程&lpar;二&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				REPEAT语句 ftch_loop2: REPEAT     FETCH  c1  INTO  v_firstname,  v_midinit,  v_lastname; UNTIL  SQLCODE  &lt;&gt;  0  AND  REPEAT  ftch_loop2; WHILE语句 WHILE  at_end  =  0  DO     FETCH  c1  INTO  v_firstname,  v_midinit,  v_lastname;     IF  SQLCODE  =  100			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWdxOrp.html" rel="bookmark">跟屌丝一起学习 DB2 第五课 存储过程&lpar;三&rpar; 存储过程实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				客户在进行短信服务这个业务申请时,需要填写一些基本信息,然后根据这些信息判断这个用户是否已经存在于业务系统中.因为网上服务和业务系统两个项目物理隔离,而且网上数据库保存的客户信息不全,所以判断需要把数据交换到业务系统,在业务系统中判断.     解决方式是通过存储过程,以前也了解过存储过程,但没使用到项目中.不过经过一番努力最后还是完成了,期间遇到了一些困难,特写此文让对DB2存储过程还不熟悉的童鞋避免一些无谓的错误.     DROP PROCEDURE &quot;PLName&quot; @CREA			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8kmooM.html" rel="bookmark">跟屌丝一起学习 DB2 第三课 创建表空间</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				缓冲池(bufferpool) 是一个内存块的集合,这些内存块采用页面的形式.在首次创建数据库时,同时创建了一个默认的缓冲池 IBMDEFAULTBP.可以在创建表空间时,或者在 Buffer Pools 视图中使用 Create New Bufferpool 向导,创建新的缓冲池. 缓冲池最重要的作用是,在数据库读写硬盘上的数据时帮助减少 I/O 开销.这是通过 I/O 预获取和页面清理器实现的.预获取能够减少读取页面的 I/O 开销,其原理是:预先判断特定查询可能需要的页面,然后将这些页面读			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGEPgvM.html" rel="bookmark">跟屌丝一起学习 DB2 第一课 安装DB2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如果您没有DB2的安装软件,那么您可以到IBM的官方网站上下载免费试用版,唉 苦逼的屌丝 只能用 免费版  你也可以选择Express-C 版本 网址如下:www-900.ibm.com/cn/software/db2/ 或者度娘 自己找 获得的安装文件是一个压缩包: DB2的安装1.解压DB2安装压缩包               解压获得的DB2安装压缩包: 图3 2.安装DB2 V8.2                     双击解压后安装文件目录中的&quot;setup.exe&quot;文件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnnYEZp.html" rel="bookmark">短训学习录（五）&mdash;&mdash;天晴了</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				早晨出门第一感觉是,在北京终于看到了蓝天,往日的闷热也一扫而光. 首要做的事情是,将&lt;逆袭大学&gt;为什么要做那样的安排写了一个材料发给出版社.耗费了心血的书的思路,还是要坚持,也希望能够得到理解,最后能有好的结果. 上午两节&quot;问题求解&quot;,陈老师从算法方法和算法正确性方面做了引导,深奥的思想是可以用简单的问题交待清楚的.一直也在告诉学生搜索和排序很重要,陈老师展示了搜索就是人解决问题的最基本方法,搜索方法就是技术,N多的问题类都可以归结为搜索.用好的问题表达算法思想,用直观的东			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/YbK9xWp.html" rel="bookmark">SQL语言入门教程：第五课 删除数据库表格</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第五课 删除数据库表格 在SQL语言中使用drop table命令删除某个表格以及该表格中的所有记录.drop table命令的使用格式为: drop table tablename: 例如: drop table employee; 如果用户希望将某个数据库表格完全删除,只需要在drop table命令后输入希望删除的表格名称即可.drop table命令的作用与删除表格中的所有记录不同.删除表格中的全部记录之后,该表格仍然存在,而且表格中列的信息不会改变.而使用drop			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrWde4p.html" rel="bookmark">kvm虚拟化学习笔记&lpar;十五&rpar;之kvm虚拟机动态迁移</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原创作品,允许转载,转载时请务必以超链接形式标明文章 原始出处 .作者信息和本声明.否则将追究法律责任.http://koumm.blog.51cto.com/703525/1300783 相比KVM虚拟机静态迁移中需要拷贝虚拟机虚拟磁盘文件,kvm虚拟机动态迁移无需拷贝虚拟磁盘文件,但是需要迁移到的虚拟主机之间需要有相同的目录结构虚拟机磁盘文件,本文这部分内容通过nfs来实现,当然也可以采用GFS2集群文件系统来实现,本文的动态迁移是基于共享存储动态迁移. KVM动态迁移目前有两种,一种是基于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlQj7Lp.html" rel="bookmark">多线程-VC&plus;&plus;孙鑫第十五课聊天室程序，如何有UDP改成TCP通信</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 VC++孙鑫第十五课聊天室程序,如何有UDP改成TCP通信 看了孙鑫的第十五课:&lt;多线程和聊天室程序的创建&gt;,对其中的聊天室UDP程序中不断接收数据部分比较感兴趣,想把它改成TCP的版本,但是出现了不少问题不知道该怎么解决. 改动部分如下: 1.在InitSocket()中添加了listen和accept函数 2.由于TCP中连上之后发送数据需要使用accept获得的套接字,所以在OnInitDialog()中定义pRecvParam-&gt;sock=m_client; pRecv			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bE6NoJM.html" rel="bookmark">Linux命名空间学习教程（五）NET</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文讲的是Linux命名空间学习教程(五)NET,[编者的话]Docker核心解决的问题是利用LXC来实现类似VM的功能,从而利用更加节省的硬件资源提供给用户更多的计算资源.而 LXC所实现的隔离性主要是来自内核的命名空间, 其中pid.net.ipc.mnt.uts 等命名空间将容器的进程.网络.消息.文件系统和hostname 隔离开.本文是Linux命名空间系列教程的第五篇,重点介绍NET命名空间.DockerOne在撸代码的基础上进行了校对和整理. 阅读完上一篇关于NS namespac			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjLVpK.html" rel="bookmark" class="title">360极速浏览器浏览器头像的功能</a>
					<div>
						1.登录网络帐户 点击浏览器头像可登录360帐户.登录360帐户的状态下,您的收藏夹.浏览器配置的修改都将自动备份到360帐户中.之后随 时登录360帐户即可自动上述内容同步到浏览器中. 2.更换头像 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp57Oab.html" rel="bookmark" class="title">别误解谷歌，为谷歌辟谣</a>
					<div>
						自2010年3月23日凌晨谷歌宣布正式退出中国大陆至今,已经过了三个春秋.内事不决问百度,外事不决问谷歌.其实不论是内事,还是外事,其实本人更喜欢用谷歌,相信许多站长也是如此.不过因为谷歌搜索引擎在中 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpn2V0p.html" rel="bookmark" class="title">ajax介绍及验证码生成原理</a>
					<div>
						什么是ajax AJAX:&quot;Asynchronous JavaScript and XML&quot; 中文意思:异步JavaScript和XML 指一种创建交互式网页应用的网页开发技术.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq6J3p.html" rel="bookmark" class="title">华为交换机的端口镜像配置</a>
					<div>
						镜像端口简单的说,就是把交换机一个(数个)端口(源端口)的流量完全拷贝一份,从另外一个端口(目的端口)发出去,以便网络管理人员从目的端口通过分析源端口的流量来找出网络存在问题的原因. 配置好交换机的端 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvwPrp.html" rel="bookmark" class="title">如何使用ISA发布不同机器的WEB与OWA</a>
					<div>
						近期学校打算组建校园网,在做网络规划的时候,考虑到服务器性能,把邮件服务器和WEB服务器分别放在两台不同的服务器上,初步计划防火墙使用ISA SERVER,邮件使用EXCHANGE,WEB使用IIS来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrKwwVp.html" rel="bookmark" class="title">&lbrack;叩响C&num;之门&rsqb;第2章 2&period;3&period;5 ASCII编码和Unicode编码</a>
					<div>
						2.3.5 ASCⅡ编码和Unicode编码 QQ上曾经流行着这么一个游戏:将光标定位在QQ聊天窗口里,按信Alt键不放,用小键盘输入数字29482,然后放开Alt键,将会出现你自己的名字.当你尝试以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7keDRz.html" rel="bookmark" class="title">音乐CD刻录大师怎么用，音乐CD刻录大师使用方法</a>
					<div>
						音乐可以放松人们的心情,本文来教大家使用音乐CD刻录大师把你喜欢的音乐收藏起来. 1. 启动cd刻录大师 2. 点击&quot;新增文件&quot; 出现下图: 把歌曲全部选上.方法:点中一首后,ct ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKd99p.html" rel="bookmark" class="title">地铁里的互动广告</a>
					<div>
						先介绍下乘坐地铁的人群特征,下面是一组数据 地铁尤其受到白领商务人群的青睐.地铁乘客倾向于年轻.高学历.高收入,是最主力的消费人群.CMMS2010年春季数据显示,在25-35岁.大学本科以上.月收入 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWXeyGp.html" rel="bookmark" class="title">新手必读电脑最基本操作知识</a>
					<div>
						电脑最基本的操作简介 1.电脑开.关机方法 首先要记住的是开机顺序,一般来讲开机时要先开外设(即主机箱以外的其他部分)后开主机,关机时要先关主机后关外设.我们所说的开机有以下几种情况: 第一次开机.这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3oLkAb.html" rel="bookmark" class="title">中国人的败家子培训法</a>
					<div>
						所谓的&quot;三代&quot;并非一个确切的时限,只是讲富贵不能长久而已.有的可能当代.二代即衰落,有的可能四代.五代才衰落.为什么会产生这种怪现象?许多人在分析研究,得出不少答案,本人认为,是社 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6a33M.html" rel="bookmark" class="title">XP安装07office不成功</a>
					<div>
						问题描述 XP安装07office不成功 但是这个文件夹下是存在的: 请各位大神帮忙看看,我着急着使用,再次谢过了! 解决方案 重新下载或复制别人的次目录吧,可能是文件有损坏. 解决方案二: 你有没有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YOOZM.html" rel="bookmark" class="title">android-怎么防止service被kill&quest;</a>
					<div>
						问题描述 怎么防止service被kill? android 开发程序,怎么防止service被kill?有一些安全软件,会清理软件,这样的话,自己的程序就会被干掉,如何解决?或者被干掉后,立马可以启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE6VBoM.html" rel="bookmark" class="title">数据有效性-求教poi3&period;8获取单元格上下拉列表数据</a>
					<div>
						问题描述 求教poi3.8获取单元格上下拉列表数据 由于项目中做导出excel需要用到模板,但在模板中插入一行后没有根据上一行自动生成下拉列表,需要拷贝上一行的样式,但是上一行的有些单元格的下拉列表无 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q5P6p.html" rel="bookmark" class="title">注解，&commat;Qualifier&plus;&commat;Autowired  和 &commat;Resource</a>
					<div>
						项目中,对于AOP的使用,就是通过用注解来注入的. 更改之前的注解,是使用:@Qualifier+@Autowired   但是,通过这样注解,在项目启动阶段,需要自动扫描的过程是非常缓慢的,项目的启 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgwXab.html" rel="bookmark" class="title">android-serialport-api组建起来 运行问题</a>
					<div>
						问题描述 下载android-serialport-api组建起来setup以后,再点Console,Loopback,Send01010101就强行停机运行了,报错如图下图,麻烦大侠能给改一下么?水 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKY5lb.html" rel="bookmark" class="title">samba服务器搭建的疑问</a>
					<div>
						问题描述 samba服务器搭建的疑问 samba服务器在linux虚拟机如何搭建,因为现在正在进行linux服务器搭建学习,想自己搭建一个 解决方案 参考第十六章.文件服务器之二: SAMBA 服务器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0aZDM.html" rel="bookmark" class="title">怎么做好一个ＰＧ</a>
					<div>
						问题描述 怎样做好一个PG呢 解决方案 我刚刚搜索了下,发现PG还是控球后卫,这个显然不是你的问题,还有一个是程序员!做这个最好要尽职尽责,我以前的经理经常说年轻人多吃点苦不是坏事!在尽职尽责做好自己 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrXaDyz.html" rel="bookmark" class="title">数据结构栈的出栈入栈的指针问题</a>
					<div>
						问题描述 数据结构栈的出栈入栈的指针问题 入栈时,top指针是 s.top++=e 还是s.++top=e? 出栈时,top指针是 s.top--=e 还是s.--top=e? 还有就是 top指针是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0R1Pjz.html" rel="bookmark" class="title">周博磊知乎热答：如何评价何恺明大神斩获ICCV 2017最佳论文</a>
					<div>
						2017年10月24日下午,Facebook AI 研究员何恺明大神斩获ICCV 2017最佳论文,这是他第三次斩获顶会最佳论文,对于Kaiming He 在 ICCV 2017 上拿下双 Best的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94ylVb.html" rel="bookmark" class="title">快播涉黄或被罚2&period;6亿元</a>
					<div>
						昨日有消息表示,深圳市市场监督管理局来到快播深圳总部,送达了对深圳市快播科技有限公司拟行政处罚听证通知书,拟对快播处以2.6亿元罚款.从该局本报记者对这一消息进行了证实,但是新华社发布的一则消息表示, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgreBb.html" rel="bookmark" class="title">比特网推出SNS社区服务 新产品比特邦即将问世</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 千龙网讯 日前,由天极传媒集团旗下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvnJ3VM.html" rel="bookmark" class="title">五个角度浅析大数据与BI的区别</a>
					<div>
						BI(Business Intelligence),中文翻译是商务智能,是一套完整的解决方案,用来将组织中现有的数据进行有效的整合,快速准确的提供报表并提出决策依据,帮助组织做出明智的业务经营决策.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJqrxvp.html" rel="bookmark" class="title">Cookie编程入门篇</a>
					<div>
						   Cookie就是所谓的&quot; 小甜饼&quot; ,他最早出现是在Netscape Navigator .0中.Cookie其实就是由Web服务器创建的.将信息存储在计算机上的文件.那么为 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBNdDz.html" rel="bookmark" class="title">如何选择一个适合自己的开源项目来阅读</a>
					<div>
						人们都说, 阅读源码是提高编程水平的一个极好的方法, 但是如何找到一个适合自己阅读的源码, 就蛋疼的很. 优秀的开源项目非常多, 肯定是看不完的. 而且如果没有一个明确的目的, 只是因为火就看, 则事 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mgwa56M.html" rel="bookmark" class="title">在线等，急啊！！</a>
					<div>
						问题描述 用select查询分数在60分到80分之间的所有女同学的&quot;学号,姓名,课程名,分数&quot;(注:此题有涉及三个表:学生表,课程表,选课表)希望大哥大姐们能给出代码!给出代码啊, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZyQob.html" rel="bookmark" class="title">雅虎挖角AOL广告网站CEO</a>
					<div>
						AOL已经证实了美国科技博客AllThingsD知名专栏作者卡拉·斯维什尔(Kara Swisher)此前的报道,称其旗下广告网站Ad.com首席执行官奈德·布罗迪(Ned Brody)已经离职,转投 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlBl0p.html" rel="bookmark" class="title">保存几个不错的css特效字&lowbar;CSS&sol;HTML</a>
					<div>
						测试CSS文字阴影特效 测试CSS文字阴影特效 Test CSS text Shadow style 测试CSS文字阴影特效					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk0J0dz.html" rel="bookmark" class="title">jquery 弹出层之JQuery&period;BlockUI插件</a>
					<div>
						JQuery.BlockUI是众多JQuery插件弹出层中的一个,它小巧(原版16k,压缩后10左右),容易使用, 功能齐全,支持Iframe,支持Modal,可定制性高也意味他默认谦虚的外表. jQ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBmWLb.html" rel="bookmark" class="title">联众技术员重复生成游戏币获刑3年半</a>
					<div>
						本报讯(通讯员范静 李钦鹏)25岁的联众电脑公司技术员许文昊利用工作便利修改充值记录,将重复生成的联众币.游戏豆等低价转售牟利46万余元.今天海淀法院透露,被告人许文昊因触犯破坏计算机信息系统罪被判处 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1D135b.html" rel="bookmark" class="title">ESX4升级5故障处理：LINT1 motherboard interrupt&period; This is a hardware problem</a>
					<div>
						经过几轮测试, 今天终于在公司上海机房正式升级主ESX服务器.十多个SERVER运行在上面,就算先有重要SERVER的备份,也要不容有失了. 开始VCENTER5.1的UPDATE MANAGER一切 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
